org.apache.jmeter.config

## Class RandomVariableConfig

- java.lang.Object
- - org.apache.jmeter.testelement.AbstractTestElement
  - - org.apache.jmeter.config.ConfigTestElement
    - - org.apache.jmeter.config.RandomVariableConfig

- All Implemented Interfaces:
    Serializable, Cloneable, ConfigElement, LoopIterationListener, NoConfigMerge, NoThreadClone, Searchable, TestBean, TestElement, ThreadListener

      public class RandomVariableConfig
      extends ConfigTestElement
      implements TestBean, LoopIterationListener, NoThreadClone, NoConfigMerge, ThreadListener

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.jmeter.config.ConfigTestElement

      `PASSWORD, USERNAME`

    - ### Fields inherited from interface org.apache.jmeter.testelement.TestElement

      `COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RandomVariableConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getMaximumValue()` Returns the maximum value (inclusive).
    `String` | `getMinimumValue()` Returns the minimum value (inclusive).
    `String` | `getOutputFormat()` Returns the output format.
    `boolean` | `getPerThread()` Returns `true` if the random is computed per thread.
    `String` | `getRandomSeed()` Returns the random seed.
    `String` | `getVariableName()` Returns the variable name.
    `void` | `iterationStart(LoopIterationEvent iterEvent)` Called when a loop iteration is about to start.
    `void` | `setMaximumValue(String maxvalue)` Configures the maximum value (inclusive).
    `void` | `setMinimumValue(String minValue)` Configures the minimum value (inclusive).
    `void` | `setOutputFormat(String outputFormat)` Configures the output format.
    `void` | `setPerThread(boolean perThread)` Configures if the random is computed per thread.
    `void` | `setRandomSeed(String randomSeed)` Configures the random seed.
    `void` | `setVariableName(String variableName)` Configures the variable name.
    `void` | `threadFinished()` Called for each thread after all samples have been processed.
    `void` | `threadStarted()` Called for each thread before starting sampling.

    - ### Methods inherited from class org.apache.jmeter.config.ConfigTestElement

      `addConfigElement, addTestElement, expectsModification`

    - ### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

      `addPropertiesValues, addProperty, addProperty, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.jmeter.config.ConfigElement

      `clone`

    - ### Methods inherited from interface org.apache.jmeter.testelement.TestElement

      `removed`

- - ### Constructor Detail

    - #### RandomVariableConfig

          public RandomVariableConfig()

  - ### Method Detail

    - #### iterationStart

          public void iterationStart(LoopIterationEvent iterEvent)

      Called when a loop iteration is about to start.
      Specified by:
        `iterationStart` in interface `LoopIterationListener`
      Parameters:
        `iterEvent` - the event

    - #### getMinimumValue

          public String getMinimumValue()

      Returns the minimum value (inclusive).
      Returns:
        the minValue

    - #### setMinimumValue

          public void setMinimumValue(String minValue)

      Configures the minimum value (inclusive).
      Parameters:
        `minValue` - the minValue to set

    - #### getMaximumValue

          public String getMaximumValue()

      Returns the maximum value (inclusive).
      Returns:
        the maxvalue

    - #### setMaximumValue

          public void setMaximumValue(String maxvalue)

      Configures the maximum value (inclusive).
      Parameters:
        `maxvalue` - the maxvalue to set

    - #### getVariableName

          public String getVariableName()

      Returns the variable name.
      Returns:
        the variableName

    - #### setVariableName

          public void setVariableName(String variableName)

      Configures the variable name.
      Parameters:
        `variableName` - the variableName to set

    - #### getRandomSeed

          public String getRandomSeed()

      Returns the random seed.
      Returns:
        the randomSeed

    - #### setRandomSeed

          public void setRandomSeed(String randomSeed)

      Configures the random seed.
      Parameters:
        `randomSeed` - the randomSeed to set

    - #### getPerThread

          public boolean getPerThread()

      Returns `true` if the random is computed per thread.
      Returns:
        the perThread

    - #### setPerThread

          public void setPerThread(boolean perThread)

      Configures if the random is computed per thread.
      Parameters:
        `perThread` - the perThread to set

    - #### getOutputFormat

          public String getOutputFormat()

      Returns the output format.
      Returns:
        the outputFormat

    - #### setOutputFormat

          public void setOutputFormat(String outputFormat)

      Configures the output format.
      Parameters:
        `outputFormat` - the outputFormat to set

    - #### threadStarted

          public void threadStarted()

      Description copied from interface: `ThreadListener`
      Called for each thread before starting sampling. WARNING: this is called before any Config test elements are processed, so any properties they define will not have been merged in yet. See org.apache.jmeter.threads.JMeterThread#threadStarted()
      Specified by:
        `threadStarted` in interface `ThreadListener`

    - #### threadFinished

          public void threadFinished()

      Description copied from interface: `ThreadListener`
      Called for each thread after all samples have been processed. See org.apache.jmeter.threads.JMeterThread#threadFinished(org.apache.jmeter.engine.event.LoopIterationListener)
      Specified by:
        `threadFinished` in interface `ThreadListener`

Copyright © 1998-2022 Apache Software Foundation. All Rights Reserved.